// Created by Alexey Chernikov on June 26, 2013, a beautiful day in San Francisco
uniform MEDP float uvXScale;
uniform MEDP float uvYScale;

attribute vec4 position;
attribute vec2 uv;
attribute vec4 color;

varying vec2 uvVarying0;
varying vec2 uvVarying1;

void main () 
{
  gl_Position = position;
  
  uvVarying0 = vec2(step(uvXScale, 0.0) * uv.x + step(0.0, uvXScale) * (1.0 - uv.x),
                    uvYScale * uv.y);
  uvVarying1 = uv * vec2(1.0, 1.0);
}
