// Created by Jay Austria on July 19, 2013
varying MEDP vec2 uvVarying;
varying MEDP vec2 uvVaryingWipe;

uniform sampler2D imageSampler;
uniform sampler2D wipeMaskSampler;

uniform MEDP float t; // Expects [0, 1]

void main() 
{
  MEDP vec4 imageColor = texture2D(imageSampler, uvVarying);
  MEDP vec4 maskColor  = texture2D(wipeMaskSampler, uvVaryingWipe);
  MEDP float strokeStrength = step(t, maskColor.r);
  gl_FragColor = strokeStrength * imageColor;
}
