--- Basic functions for creating new public and private classes.
-- @author Created by karl on December 12, 2014.

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

--- Create a new class.
-- @return (table) - A new class.
local function newClass()
  local aClass = {}
  return aClass
end


-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

--- Declare a new public class.
-- Places a new class into the global namespace.
-- @param name (string) - The name of the class.
-- @return - none
function class(name)
  local aClass = newClass()
  _G[name] = aClass
end

--- Create a new private class.
-- @return (table) - A new private class.
function privateClass()
  local aClass = newClass()
  return aClass
end
