--- ExperimentsConfiguration
-- @author Created by aaroncantor on August 05, 2020.

class("ExperimentsConfiguration")
require("Experiment")


-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

-- -- Example Experiment Name
-- ExperimentsConfiguration.EXAMPLE_CONTROL = "control_example"
-- ExperimentsConfiguration.EXAMPLE_VARIANT = "variant_example"
-- ExperimentsConfiguration.EXAMPLE_EXPERIMENT = Experiment.new(
--   "example_experiment_name",
--   ExperimentsConfiguration.EXAMPLE_CONTROL,
--   ExperimentsConfiguration.EXAMPLE_VARIANT
-- )

-- Crossword difficulty toggle
ExperimentsConfiguration.CROSSWORDS_DIFFICULTY_TOGGLE_CONTROL = "control_no_difficulty_toggle"
ExperimentsConfiguration.CROSSWORDS_DIFFICULTY_TOGGLE_VARIANT = "variant_difficulty_toggle"
ExperimentsConfiguration.CROSSWORDS_DIFFICULTY_TOGGLE_EXPERIMENT = Experiment.new(
  "crosswords_difficulty_toggle_2023_12",
  ExperimentsConfiguration.CROSSWORDS_DIFFICULTY_TOGGLE_CONTROL,
  ExperimentsConfiguration.CROSSWORDS_DIFFICULTY_TOGGLE_VARIANT
)

-- Crosswords difficulty nudge
ExperimentsConfiguration.CROSSWORDS_DIFFICULTY_NUDGE_CONTROL = "control_no_difficulty_nudge"
ExperimentsConfiguration.CROSSWORDS_DIFFICULTY_NUDGE_VARIANT = "variant_difficulty_nudge"
ExperimentsConfiguration.CROSSWORDS_DIFFICULTY_NUDGE_EXPERIMENT = Experiment.new(
  "crosswords_difficulty_nudge_2024_03",
  ExperimentsConfiguration.CROSSWORDS_DIFFICULTY_NUDGE_CONTROL,
  ExperimentsConfiguration.CROSSWORDS_DIFFICULTY_NUDGE_VARIANT
)

-- Expanded rationales
ExperimentsConfiguration.EXPANDED_RATIONALES_CONTROL = "control_old_rationales"
ExperimentsConfiguration.EXPANDED_RATIONALES_VARIANT = "variant_expanded_rationales_chatbot"
ExperimentsConfiguration.EXPANDED_RATIONALES_EXPERIMENT = Experiment.new(
  "expanded_game_rationales_2024_03",
  ExperimentsConfiguration.EXPANDED_RATIONALES_CONTROL,
  ExperimentsConfiguration.EXPANDED_RATIONALES_VARIANT
)

-- Difficulty keyframes
ExperimentsConfiguration.DIFFICULTY_KEYFRAMES_CONTROL = "control_regular_keyframes"
ExperimentsConfiguration.DIFFICULTY_KEYFRAMES_VARIANT = "variant_expanded_keyframes"
ExperimentsConfiguration.DIFFICULTY_KEYFRAMES_EXPERIMENT = Experiment.new(
  "games_keyframe_tests_2024_05",
  ExperimentsConfiguration.DIFFICULTY_KEYFRAMES_CONTROL,
  ExperimentsConfiguration.DIFFICULTY_KEYFRAMES_VARIANT
)

-- Comprehension rationales flag
ExperimentsConfiguration.COMPREHENSION_RATIONALES_CONTROL = "off"
ExperimentsConfiguration.COMPREHENSION_RATIONALES_VARIANT = "on"
ExperimentsConfiguration.COMPREHENSION_RATIONALES_EXPERIMENT = Experiment.new(
  "comprehension_rationales_2024_05",
  ExperimentsConfiguration.COMPREHENSION_RATIONALES_CONTROL,
  ExperimentsConfiguration.COMPREHENSION_RATIONALES_VARIANT
)

-- Enhanced Onboarding
ExperimentsConfiguration.ENHANCED_ONBOARDING_CONTROL = "control_standard_onboarding"
ExperimentsConfiguration.ENHANCED_ONBOARDING_VARIANT = "variant_enhanced_onboarding"
ExperimentsConfiguration.ENHANCED_ONBOARDING_EXPERIMENT = Experiment.new(
  "enhanced_onboarding_2024_09",
  ExperimentsConfiguration.ENHANCED_ONBOARDING_CONTROL,
  ExperimentsConfiguration.ENHANCED_ONBOARDING_VARIANT
)

-- Dark Mode feature flag
ExperimentsConfiguration.DARK_MODE_CONTROL = "off"
ExperimentsConfiguration.DARK_MODE_VARIANT = "on"
ExperimentsConfiguration.DARK_MODE_FLAG = Experiment.new(
  "games_onboarding_dark_mode_2024_10",
  ExperimentsConfiguration.DARK_MODE_CONTROL,
  ExperimentsConfiguration.DARK_MODE_VARIANT
)
