-- Created by Alexey Chernikov on 03/14/2013

-- MOAIExtensions can't be put in Bootstrap.lua because the tests can't see MOAI stuff.
require("extensions.MOAIExtensions")
require("extensions.MOAIRenderMgrExtensions")

require("utils.FileUtils")
require("utils.ColorUtils")
require("graphics.ShapeUtils")
require("utils.GroupUtils")

require("GameSession")
require("Screen")
require("ReferenceDevice")
require("Group")

if (not Host.environmentIsAppleTv) then
  require("TouchManager")
end

require("AhuEnvironment")
require("difficulty.DifficultyRamp")
require("data.KeyFrameInterpolator")
require("difficulty.DifficultyCurves")

require("widgets.DragAndDropHandler")
require("extensions.wait")
require("actions.Actions")
require("Sound")
require("FontFaces")
require("Timer")
require("Sprite")
require("text.Label")
require("text.TextArea")
require("text.DynamicTextArea")
require("deprecated.FontRenderEngine")
require("deprecated.DeprecatedLabel")
require("Animation")
require("utils.AssetHelper")
require("Colors")

require("graphics.primitives.Arc")
require("graphics.primitives.Circle")
require("graphics.primitives.Line")
require("graphics.primitives.Polygon")
require("graphics.primitives.RegularPolygon")
require("graphics.primitives.RoundedRegularPolygon")
require("graphics.primitives.Rectangle")
require("graphics.primitives.RoundedRectangle")
require("graphics.primitives.Triangle")

require("graphics.RectangleGradient")
require("graphics.TriangleGradient")
require("widgets.Button")
require("containers.RowColumn")
require("containers.Grid")
require("utils.Vector")

require("BaseGame")
