--- BranchNode
-- @author Created by andrewc on February 20, 2019
-- This is a base class for BranchNodes. It is pretty empty, since
-- branches handle their own logic or use something like NumericBranchNode.

class("BranchNode")

-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

function BranchNode.checkAnswers(correctAnswer, answers)
  return TableUtils.contains(answers, correctAnswer)
end

function BranchNode:evaluate()
  error("Evaluate should not be called on BranchNode")
end

-- ----------------------------------------------------------------------------
-- Object Creation
-- ----------------------------------------------------------------------------

-- Node Constructors ------------------------

function BranchNode.new()
  local self = {}
  return self
end


