--- DifficultyUtils
-- @author Created by andrewcousins on January 17, 2023.

class("DifficultyUtils")


-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

local HIGH_DIFFICULTY_WARNING_BAND = 0.05

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

function DifficultyUtils.shouldShowHighDifficultyInterstitial(highDifficultyThreshold, gameDifficulty)
  return ((gameDifficulty >= highDifficultyThreshold) and 
    (gameDifficulty <= (highDifficultyThreshold + HIGH_DIFFICULTY_WARNING_BAND)))
end
