--- TutorialButton
-- @author Created by aaroncantor on May 11, 2020.

class("TutorialButton")

-- ----------------------------------------------------------------------------
-- Object Creation
-- ----------------------------------------------------------------------------

-- Constructor ------------------------

function TutorialButton.new(group, onTouchDown, onTouchUp)
  local self = Group.new(group:getWidth(), group:getHeight())
  Mixin.mix(self, TutorialButton)

  group:setAnchorPointCenter()
  self:insertAtCenter(group)

  self.group = group
  self.onTouchDown = onTouchDown
  self.onTouchUp = onTouchUp

  return self
end
