--- ContentReviewCommon
-- @author Created by Joe Poka on July 12, 2016.

class("ContentReviewCommon")

-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

ContentReviewCommon.Colors = {
  veryLightGray = {0.83, 0.83, 0.83, 1.0},
  lightGray = {0.68, 0.68, 0.68, 1.0},
  darkGray = {0.425, 0.425, 0.425, 1.0},
  highlightBlue = {0.02, 0.76, 0.98, 1.0},
  buttonDownBlue = {0.002, 0.52, 0.729},
  strikeRed = {0.85, 0.32, 0.24, 1.0},
  correctGreen = {0.43, 0.74, 0.09, 1.0}
}

ContentReviewCommon.GAMES = {
  BREVITY = "brevity",
  CLARITY = "clarity",
  AGILITY = "agility",
  MEMORY = "memory",
  SPELLING = "spelling",
  ERROR_AVOIDANCE = "erroravoidance",
  SYNTAX = "syntax",
  DICTION = "diction",
  ELOQUENCE = "eloquence",
  INVERSION = "inversion",
  EXPRESSION = "expression",
  WORD_PARTS = "wordparts",
  VISUALIZATION = "visualization",
  ADJECTIVE_RECALL = "adjectiverecall",
  ASSOCIATION = "association",
  CONTEXT = "contextualization",
  PUNCTUATION = "punctuation",
  SUBTRACTION = "subtraction"
}

ContentReviewCommon.defaultContentWidth = Screen.getWidthPart(0.85)
ContentReviewCommon.hexagonPlaceholder = "@@@"
ContentReviewCommon.smallFontCharacterCountThreshold = 9

ContentReviewCommon.SKILL = GameSession.skillIdentifier
