--- CrossNotYetCompleteScreen
-- @author Created by andrewcousins on May 04, 2022.

class("CrossNotYetCompleteScreen")

require("CrossPopUpScreen")


-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

local ALMOST_THERE_TEXT = Localizer.get("ALMOST_COMPLETE")
local ALMOST_THERE_SUBTITLE_TEXT = Localizer.get("LETTER_INCORRECT")
local KEEP_TRYING_TEXT = Localizer.get("KEEP_TRYING")

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Object Creation
-- ----------------------------------------------------------------------------

-- Constructor ------------------------

function CrossNotYetCompleteScreen.new(callback)
  local self = CrossPopUpScreen.new(ALMOST_THERE_TEXT, ALMOST_THERE_SUBTITLE_TEXT, KEEP_TRYING_TEXT, callback, callback)
  Mixin.mix(self, CrossNotYetCompleteScreen)

  return self
end
