--- DepthStreak
-- @author Created by aab29 on March 10, 2014.

class("DepthStreak")

-- ---------------------------------------------------------------------------
-- Configuration
-- ---------------------------------------------------------------------------

local WIDTH = Screen.width

local STREAK_OPACITY = 0.02

-- ---------------------------------------------------------------------------
-- Utility
-- ---------------------------------------------------------------------------

-- ---------------------------------------------------------------------------
-- API
-- ---------------------------------------------------------------------------

-- ---------------------------------------------------------------------------
-- Object Creation
-- ---------------------------------------------------------------------------

-- Constructor ------------------------

function DepthStreak.new(waveDeck, waveHeight)
  local self = Group.new(WIDTH, waveHeight)
  Mixin.mix(self, DepthStreak)

  self:setDeck(waveDeck)
  self:setOpacity(STREAK_OPACITY)

  return self
end
