--- FunkyEquation
-- @author Created by Aaron Barrett on February 25, 2016.

class("FunkyEquation")


-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

local SPACING = ReferenceDevice.getScaledWidth(20.0)

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Object Creation
-- ----------------------------------------------------------------------------

-- Constructor ------------------------

function FunkyEquation.new(elements)
  local self = Row.new(SPACING)
  Mixin.mix(self, FunkyEquation)

  for _, element in ipairs(elements) do
    self:insert(element)
    element:inheritOpacity(self)
  end

  self:alignChildren()

  return self
end
