--- FunkyItemFaceFraction
-- @author Created by Aaron Barrett on February 01, 2016.

class("FunkyItemFaceFraction")


-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Object Creation
-- ----------------------------------------------------------------------------

-- Constructor ------------------------

function FunkyItemFaceFraction.new(width, height, fraction, multiplier)
  local numerator = fraction:getNumerator() * multiplier
  local denominator = fraction:getDenominator() * multiplier
  local fontSize = 32.0
  local self = FunkyExpressionFraction.new(numerator, denominator, fontSize)
  Mixin.mix(self, FunkyItemFaceFraction)

  return self
end
