--- default
-- @author Created by Jay Austria on October 20, 2015.
-- Test content validation entry point for Linus.

require("Bootstrap")
require("LinusValidator")
require("validators.SimpleParametersValidator")


-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

local REQUIRED_PARAMETERS = {
}

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

local validator = LinusValidator.new()
local parametersValidator = SimpleParametersValidator.new(REQUIRED_PARAMETERS)

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

function validate(concept)
  validator:validate(concept)
  return validator:getPassed(), validator:getMessage()
end

function validateParameters(parameters)
  parametersValidator:validate(MOAIJsonParser.decode(parameters))
  return parametersValidator:getPassed(), parametersValidator:getMessage()
end
