--- MatryoshkaBackground
-- @author Created by Karl around September 27, 2013.

class("MatryoshkaBackground")

-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Object Creation
-- ----------------------------------------------------------------------------

-- Constructor ------------------------

function MatryoshkaBackground.new()
  local self = Group.new(Screen.fullWidth, Screen.fullHeight)
  Mixin.mix(self, MatryoshkaBackground)

  local selfW, selfH = self:getDims()

  local bgImage = Sprite.newWithName("background.png")
  bgImage:setLoc(selfW/2, selfH/2)
  bgImage:setEffectiveDims(selfW, selfH)
  self:insert(bgImage)

  return self
end
