varying LOWP vec2 uvVarying;

uniform LOWP vec4 topLeftColor;
uniform LOWP vec4 topRightColor;
uniform LOWP vec4 bottomLeftColor;
uniform LOWP vec4 bottomRightColor;

void main() {
  LOWP vec4 mixedHorizontalColorTop = mix(topLeftColor, topRightColor, uvVarying.x);
  LOWP vec4 mixedHorizontalColorBottom = mix(bottomLeftColor, bottomRightColor, uvVarying.x);
  LOWP vec4 mixedColor = mix(mixedHorizontalColorTop, mixedHorizontalColorBottom, uvVarying.y);

  gl_FragColor = mixedColor;
}
