--- OnboardioDifficulty
-- @author Created by Aaron Barrett on October 15, 2014.

class("OnboardioDifficulty")

-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

OnboardioDifficulty.DIFFICULTY_BASIC = "OnboardioDifficulty.DIFFICULTY_BASIC"
OnboardioDifficulty.DIFFICULTY_EASY = "OnboardioDifficulty.DIFFICULTY_EASY"
OnboardioDifficulty.DIFFICULTY_MEDIUM = "OnboardioDifficulty.DIFFICULTY_MEDIUM"
OnboardioDifficulty.DIFFICULTY_HARD = "OnboardioDifficulty.DIFFICULTY_HARD"

OnboardioDifficulty.CORRECT_WEIGHTS_BY_DIFFICULTY = {
  [OnboardioDifficulty.DIFFICULTY_BASIC] = 1.0,
  [OnboardioDifficulty.DIFFICULTY_EASY] = 3.0,
  [OnboardioDifficulty.DIFFICULTY_MEDIUM] = 6.0,
  [OnboardioDifficulty.DIFFICULTY_HARD] = 10.0
}

OnboardioDifficulty.WRONG_WEIGHTS_BY_DIFFICULTY = {
  [OnboardioDifficulty.DIFFICULTY_BASIC] = 3.0,
  [OnboardioDifficulty.DIFFICULTY_EASY] = 2.0,
  [OnboardioDifficulty.DIFFICULTY_MEDIUM] = 1.0,
  [OnboardioDifficulty.DIFFICULTY_HARD] = 0.0
}
