--- OnboardioPerspective
-- @author Created by Aaron Barrett on November 10, 2014.

class("OnboardioPerspective")

-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

local BASELINE_Y = Screen.getHeightPart(0.4)
local PERSPECTIVE_FACTOR = 50.0

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

-- Perspective Distance ---------------

function OnboardioPerspective.getPerspectiveDistanceForY(y)
  local difference = y - BASELINE_Y
  local perspectiveDistance = (difference / Screen.height) * PERSPECTIVE_FACTOR
  return perspectiveDistance
end
