class("BeanStalkAnimation")
require("scene.animations.PounceAnimation")

-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

function BeanStalkAnimation:stop()
  if (self.animation) then
    self.animation:stop()
    self.animation = nil
  end
end

-- ----------------------------------------------------------------------------
-- Object creation
-- ----------------------------------------------------------------------------

function BeanStalkAnimation.new(beanStalk)
  local self = {}
  Mixin.mix(self, BeanStalkAnimation)
  self.beanStalk = beanStalk
  return self
end
