-- Common functions

class("RocketCommon")

RocketCommon.FONT_NORMAL = FontFaces.DIN_OT_MEDIUM
RocketCommon.FONT_BOLD = FontFaces.DIN_OT_BOLD

function getAnimateAndVanishAction(target, animation, framerate)
  return AHSequence.new(
                        AHAnimate.new(target, animation, framerate),
                        AHDelay.new(1/framerate),
                        AHCallLogic.new(function()
                            target:setVisible(false)
                          end)
                        )
end
