--- SimonZoomer
-- @author Created by Aaron Barrett on March 23, 2015.

class("SimonZoomer")


-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

function SimonZoomer:playZoomBack()
  local zoomBackAction = AHScaleTo.new(self, 0.2, AHEaseSimpleOut.new(2.0), 0.97)
  self.zoomInterrupt:insert(zoomBackAction)
end

function SimonZoomer:playZoomForward()
  local zoomForwardAction = AHScaleTo.new(self, 0.2, AHEaseSimpleOut.new(2.0), 1.0)
  self.zoomInterrupt:insert(zoomForwardAction)
end

-- ----------------------------------------------------------------------------
-- Object Creation
-- ----------------------------------------------------------------------------

-- Constructor ------------------------

function SimonZoomer.new()
  local self = Group.newFullScreen()
  Mixin.mix(self, SimonZoomer)

  self.zoomInterrupt = ActionInterrupt.new()

  return self
end
