--- SquaresContentTracker
-- @author Created by Eduardo Monroy on June 27, 2016

-- =============================================================================
class("SquaresContentTracker")
-- =============================================================================

-- -----------------------------------------------------------------------------
-- API
-- -----------------------------------------------------------------------------

function SquaresContentTracker:notifyCorrectAnswer(conceptIdentifier)
  self.contentTracker:notifyCorrectAnswer(conceptIdentifier)
end

function SquaresContentTracker:notifyIncorrectAnswer(conceptIdentifierA, conceptIdentifierB)
  self.contentTracker:notifyIncorrectAnswer(conceptIdentifierA, nil, conceptIdentifierB)
  self.contentTracker:notifyIncorrectAnswer(conceptIdentifierB, nil, conceptIdentifierA)
end

-- -----------------------------------------------------------------------------
-- Object creation
-- -----------------------------------------------------------------------------

function SquaresContentTracker.new(contentTracker)
  local self = {}
  Mixin.mix(self, SquaresContentTracker)

  self.contentTracker = contentTracker

  return self
end
