class("SunsetCommon")

-- Fonts --------------------------------

SunsetCommon.NORMAL_FONT = FontFaces.DIN_OT_MEDIUM
SunsetCommon.BOLD_FONT = FontFaces.DIN_OT_BOLD
SunsetCommon.PROMPT_FONT_SIZE = 21

SunsetCommon.REFLECTION_OPACITY = 0.2
SunsetCommon.BOAT_MOVE_DURATION = 0.5

SunsetCommon.COLORING_LEVELS_SKY_TOP = {
  {t = 0.0, keyColor = {0.92, 0.83, 0.69, 1.0}},
  {t = 0.5, keyColor = {0.89, 0.70, 0.59, 1.0}},
  {t = 0.9, keyColor = {0.89, 0.47, 0.45, 1.0}},
  {t = 1.0, keyColor = {0.79, 0.37, 0.35, 1.0}}
}

SunsetCommon.COLORING_LEVELS_SKY_BOTTOM = {
  {t = 0.0, keyColor = {0.90, 0.55, 0.49, 1.0}},
  {t = 0.5, keyColor = {0.90, 0.43, 0.41, 1.0}},
  {t = 0.9, keyColor = {0.61, 0.26, 0.40, 1.0}},
  {t = 1.0, keyColor = {0.51, 0.16, 0.30, 1.0}}
}

SunsetCommon.HORIZON_Y = Screen.getSafeY(0.65)

SunsetCommon.WHITE = ColorUtils.colorRGBToStd(255, 255, 255)
SunsetCommon.BLACK = ColorUtils.colorRGBToStd(0, 0, 0)
SunsetCommon.HIGHLIGHT_PADDING_X = 10
