--- SynonymsRoundResponse
-- @author Created by andrewc on May 13, 2021.

class("SynonymsRoundResponse")


-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

function SynonymsRoundResponse:getIsCorrect()
  return self.isCorrect
end

function SynonymsRoundResponse:getIsIncorrectPartOfSpeech()
  return self.isIncorrectPartOfSpeech
end

function SynonymsRoundResponse:getAnswer()
  return self.answer
end

-- ----------------------------------------------------------------------------
-- Object Creation
-- ----------------------------------------------------------------------------

-- Constructor ------------------------

function SynonymsRoundResponse.new(isCorrect, isIncorrectPartOfSpeech, answer)
  local self = {}
  Mixin.mix(self, SynonymsRoundResponse)

  self.isCorrect = isCorrect
  self.isIncorrectPartOfSpeech = isIncorrectPartOfSpeech
  self.answer = answer

  return self
end
