--- WitTutorialCommon
-- @author Created by Aaron Barrett on July 31, 2015.

class("WitTutorialCommon")

-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

WitTutorialCommon.COLOR_HIGHLIGHT = {0.55, 0.84, 0.94}

WitTutorialCommon.ATTRIBUTES_FOR_LABELS = {
  b = {colored = true}
}

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

function WitTutorialCommon.colorWordsInLabel(label)
  local coloredViews = label:getViewsWithAttribute("colored", true)
  for _, coloredView in pairs(coloredViews) do
    coloredView:clearAttrLink(MOAIColor.INHERIT_COLOR)
    coloredView:setColor(unpack(WitTutorialCommon.COLOR_HIGHLIGHT))
    coloredView:inheritOpacity(label)
  end
end
