// Created by Jay Austria on July 19, 2013
uniform MEDP float scaleX;
uniform MEDP float scaleY;

attribute vec4 position;
attribute vec2 uv;
attribute vec4 color;

varying vec2 uvVarying;
varying vec2 uvVaryingWipe;

void main () 
{
  gl_Position = position;
  uvVarying = uv;
  uvVaryingWipe = vec2( (step(scaleX, 0.0) * uv.x) + (step(0.0, scaleX) * (1.0 - uv.x)),
                        (step(scaleY, 0.0) * uv.y) + (step(0.0, scaleY) * (1.0 - uv.y)) );
}
