--- Game Launcher

require("Bootstrap")

-- ===========================================================================
class("GameLauncher")
-- ===========================================================================

require("Lib")

-- ----------------------------------------------------------------------------
-- Game Setup and Start
-- ----------------------------------------------------------------------------

function GameLauncher.launchInstantiatedGame(game)
  return runInCoroutine(function()
      game:setLoc(Screen.width * 0.5, Screen.height * 0.5)
      Screen.rootGroup:insert(game)
      game:startGame()
  end)
end

function GameLauncher.launchGame(gameClass)
  AhuEnvironment.initialize()

  return runInCoroutine(function()
    local game = gameClass.new()
    wait(GameLauncher.launchInstantiatedGame(game))
  end)
end
