--- Mocks
-- @author Created by antonmorant on January 19, 2015.
-- This file checks for the existence of a number of globals and mocke them if they are not
-- present. This is useful when running automated tests, which may not have access to certain MOAI
-- or app-side classes.


-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

local function mock(name, value)
  if _G[name] == nil then
    _G[name] = value
  end
end

-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

mock("GameSession", {
  getDifficulty = function()
    return 1
  end
})
