--- SimpleTextBonusIndicator
-- Created by Jay Austria

class("SimpleTextBonusIndicator")
local LABEL_FONT = FontFaces.DIN_OT_BOLD
local LABEL_FONT_SIZE = 12

function SimpleTextBonusIndicator.newWithMessage(bonusMessage)
  assert((type(bonusMessage) == "string") and (string.len(bonusMessage) > 0), "Invalid bonus message")

  local self = DeprecatedLabel.newSingleLine(bonusMessage, LABEL_FONT, LABEL_FONT_SIZE)
  Mixin.mix(self, SimpleTextBonusIndicator)

  self:setAnchorPointLeft()
  self:setOpacity(0)

  return self
end
