--- MOAIRenderMgrExtensions
-- @author Created by karl on May 29, 2014.

require("utils.TableUtils")


local bufferTable = {}
local renderTable = {}

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

function MOAIRenderMgr.addToBufferTable(buffer)
  if (not TableUtils.contains(bufferTable, buffer)) then
    table.insert(bufferTable, buffer)
    MOAIRenderMgr.setBufferTable(bufferTable)
  end
end

function MOAIRenderMgr.removeFromBufferTable(buffer)
  TableUtils.removeKeyForValue(bufferTable, buffer)
end

function MOAIRenderMgr.addToRenderTable(layer)
  if (not TableUtils.contains(renderTable, layer)) then
    table.insert(renderTable, layer)
    MOAIRenderMgr.setRenderTable(renderTable)
  end
end

function MOAIRenderMgr.removeFromRenderTable(layer)
  TableUtils.removeKeyForValue(renderTable, layer)
end
