--- TextCommon
-- @author Created by Aaron Barrett on August 22, 2014.

-- ===========================================================================
class("TextCommon")
-- ===========================================================================

-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

-- Minimum width before MOAI stops displaying anything at all.
TextCommon.EMPTY_WIDTH = 2

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

function TextCommon.validateAndConvertText(text)
  local textType = type(text)
  assert(textType == "string" or textType == "number", "'text' must be a string or a number (got " .. textType .. ").")

  local convertedText = tostring(text)
  return convertedText
end

function TextCommon.getDefaultCharacters()
  return Localizer.get("TextCommon.DEFAULT_CHARACTERS")
end
