--- TagUtils
-- @author Created by karl on September 23, 2014.

-- ===========================================================================
class("TagUtils")
-- ===========================================================================

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

function TagUtils.extractTagContents(string, tag)
  local startTag = "<" .. tag .. ">"
  local endTag = "</" .. tag .. ">"

  local tag1Start, tag1End = string.find(string, startTag)
  local tag2Start, tag2End = string.find(string, endTag)

  if not (tag1Start and tag2Start) then
    return nil
  end

  return string.sub(string, tag1End+1, tag2Start-1)
end
