--- ArcticNumberPad
-- @author Created by Joe Poka on October 31, 2016.

class("ArcticNumberPad")

require("widgets.number_pad.NumberPad")
require("ArcticCommon")

-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Object Creation
-- ----------------------------------------------------------------------------

local function createLayout(self)

end

-- Constructor ------------------------

function ArcticNumberPad.new()
  local numberPadLayout = {
    {"1", "2", "3"},
    {"4", "5", "6"},
    {"7", "8", "9"},
    {NumberPad.SpecialKeys.BACKSPACE, "0", "."}
  }

  local keyColor = {1.0, 1.0, 1.0}
  local keyFont = Font.new(FontFaces.DIN_OT_MEDIUM, 22.0)
  local underlineThickness = Screen.getHeightPart(0.0004)
  local keyViewOffsetY = Screen.getHeightPart(0.01)

  local self = NumberPad.new(keyColor, keyFont, numberPadLayout, underlineThickness, keyViewOffsetY)
  Mixin.mix(self, ArcticNumberPad)

  createLayout(self)

  local recursive = true
  self:linkOpacityAttrToChildren(recursive)

  return self
end
