--- BrevityCommon
-- @author created by Joe Poka on May 2, 2016

UI_COMPONENTS_COLOR = { 0.0, 0.0, 0.0, 0.6 }

DEFAULT_FONT_SIZE = 23

WORD_RECT_PADDING_X = Screen.getSafeWidthPart(0.024)
WORD_RECT_PADDING_Y = 0

TOP_EDGE_HEIGHT = Screen.getSafeY(0.82)
PROMPT_AREA_WIDTH = Screen.getWidthPart(1.0)
PROMPT_AREA_HEIGHT = Screen.getSafeHeightPart(0.45)
PROMPT_AREA_Y = TOP_EDGE_HEIGHT - PROMPT_AREA_HEIGHT * 0.5

FREE_AREA_HEIGHT = TOP_EDGE_HEIGHT - PROMPT_AREA_HEIGHT

TANGRAM_AREA_BOTTOM_MARGIN = Screen.getSafeY(0) + 10
TANGRAM_AREA_HEIGHT = (TOP_EDGE_HEIGHT - PROMPT_AREA_HEIGHT) - TANGRAM_AREA_BOTTOM_MARGIN
TANGRAM_AREA_WIDTH = TANGRAM_AREA_HEIGHT * 1.4

TANGRAM_AREA_BOUNDS =
{
  xMin = Screen.getSafeX(0.5) - TANGRAM_AREA_WIDTH * 0.5,
  xMax = Screen.getSafeX(0.5) + TANGRAM_AREA_WIDTH * 0.5,
  yMin = TANGRAM_AREA_BOTTOM_MARGIN,
  yMax = TANGRAM_AREA_BOTTOM_MARGIN + TANGRAM_AREA_HEIGHT
}

DEFAULT_CANVAS_WIDTH = 140
DEFAULT_CANVAS_HEIGHT = 100

TANGRAM_AREA_X_SCALE = TANGRAM_AREA_WIDTH / DEFAULT_CANVAS_WIDTH
TANGRAM_AREA_Y_SCALE = TANGRAM_AREA_HEIGHT / DEFAULT_CANVAS_HEIGHT

VISIBLE_OPACITY = 1.0
NEAR_VISIBLE_OPACITY = 0.9
INVISIBLE_OPACITY = 0.0

SCALE_FULL = 1.0
SCALE_NONE = 0.0
