--- CommasColors
-- @author Created by andrewc on July 12, 2019.

class("CommasColors")

require("CommasCommon")

-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

CommasColors.WHITE = {1,1,1}
CommasColors.BLACK = {0,0,0}

CommasColors.CORRECT_GREEN = ColorUtils.colorRGBToStd(26, 158, 17, 143)
CommasColors.INCORRECT_RED = ColorUtils.colorRGBToStd(158, 17, 17, 143)

CommasColors.BACKGROUND_COLOR = ColorUtils.colorRGBToStd(21,114,185)

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

function CommasColors.getBackgroundColor()
  return ColorUtils.colorRGBToStd(unpack(BACKGROUND_COLOR))
end
