--- CrossDirection
-- @author Created by andrewcousins on May 15, 2023.

class("CrossDirection")


-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

CrossDirection.UP = "CrossDirection.UP"
CrossDirection.DOWN = "CrossDirection.DOWN"
CrossDirection.LEFT = "CrossDirection.LEFT"
CrossDirection.RIGHT = "CrossDirection.RIGHT"

CrossDirection.DIRECTIONS = {
  CrossDirection.UP,
  CrossDirection.DOWN,
  CrossDirection.LEFT,
  CrossDirection.RIGHT
}

CrossDirection.DIRECTION_TO_MODIFIER = {
  [CrossDirection.UP] = {0, -1},
  [CrossDirection.DOWN] = {0, 1},
  [CrossDirection.LEFT] = {-1, 0},
  [CrossDirection.RIGHT] = {1, 0}
}

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

function CrossDirection.isVertical(direction)
  return ((direction == CrossDirection.UP) or (direction == CrossDirection.DOWN))
end

function CrossDirection.isHorizontal(direction)
  return ((direction == CrossDirection.LEFT) or (direction == CrossDirection.RIGHT))
end
