--- CrossHaptics
-- @author Created by andrewcousins on August 07, 2023.

class("CrossHaptics")


-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

local KEY_DOWN = "HAPTIC_VIRTUAL_KEY_DOWN"
local KEY_RELEASED = "HAPTIC_VIRTUAL_KEY_RELEASED"

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

function CrossHaptics:playOnTouchDown()
  GameSession.playHapticByIdentifier(KEY_DOWN)
end

function CrossHaptics:playOnTouchUp()
  GameSession.playHapticByIdentifier(KEY_RELEASED)
end
