--- ExpendituresCommon
-- @author Created by Jay Austria on October 20, 2014.

class("ExpendituresCommon")
ExpendituresCommon.Color =
{
  CYAN = ColorUtils.colorHex24ToStd(0x3DF3E8),
  ORANGE = ColorUtils.colorHex24ToStd(0xF92b3A),
  WHITE = ColorUtils.colorHex24ToStd(0xFFFFFF),
  BLACK = ColorUtils.colorHex24ToStd(0x000000)
}

ExpendituresCommon.ContentDifficulty =
{
  EASY = "ExpendituresCommon.ContentDifficulty.EASY",
  MEDIUM = "ExpendituresCommon.ContentDifficulty.MEDIUM",
  HARD = "ExpendituresCommon.ContentDifficulty.HARD"
}

ExpendituresCommon.FrequencyType =
{
  WEEKLY = "weekly",
  MONTHLY = "monthly",
  YEARLY = "yearly"
}

ExpendituresCommon.DIVIDER_PLACEMENT_X_MULTIPLIER = 0.325
ExpendituresCommon.ICON_OFFSCREEN_LOCATION_X = Screen.width * -0.2
ExpendituresCommon.INCORRECT_ROCK_AMPLITUDE = 2
ExpendituresCommon.INCORRECT_ROCK_DURATION = 0.3
ExpendituresCommon.INCORRECT_ROCK_CYCLE_COUNT = 2
ExpendituresCommon.INCORRECT_MORPH_DURATION = 0.1
ExpendituresCommon.RESPONSE_OPTIONS_COUNT = 4
ExpendituresCommon.HELPER_HEIGHT = Screen.getSafeY(0.45)

function ExpendituresCommon.getPriceString(value)
  local priceFormat = Localizer.get("CURRENCY_TEMPLATE_STRING")
  local numberString = string.format(" <b>%d</b>", value)
  local valueString = string.format(priceFormat, numberString)
  return valueString
end
