--- FunkyExpressionPercentage
-- @author Created by Aaron Barrett on February 24, 2016.

class("FunkyExpressionPercentage")

require("FunkyPercentageFormatter")

-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Object Creation
-- ----------------------------------------------------------------------------

-- Constructor ------------------------

function FunkyExpressionPercentage.new(numerator, denominator, fontSize)
  local numericText = FunkyPercentageFormatter.getTextFormattedAsPercentage(numerator, denominator)
  local text = numericText .. "%"

  local font = Font.new(FontFaces.DIN_OT_MEDIUM, fontSize)

  local self = Label.new(text, font)
  Mixin.mix(self, FunkyExpressionPercentage)

  return self
end
