--- FunkyItemFacePercentage
-- @author Created by Aaron Barrett on February 01, 2016.

class("FunkyItemFacePercentage")

require("FunkyExpressionPercentage")

-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

local Z_EXPRESSION = 10

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Object Creation
-- ----------------------------------------------------------------------------

-- Constructor ------------------------

function FunkyItemFacePercentage.new(width, height, fraction)
  local self = Group.new(width, height)
  Mixin.mix(self, FunkyItemFacePercentage)

  local numerator = fraction:getNumerator()
  local denominator = fraction:getDenominator()
  local fontSize = 31.0
  local expression = FunkyExpressionPercentage.new(numerator, denominator, fontSize)
  expression:inheritColor(self)
  self:insertAtCenter(expression, Z_EXPRESSION)

  return self
end
