--- FunkyPresentationBase
-- @author Created by Aaron Barrett on February 23, 2016.

class("FunkyPresentationBase")


-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

local WIDTH = Screen.getSafeWidthPart(0.8)
local HEIGHT = Screen.getSafeHeightPart(0.5)

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

function FunkyPresentationBase:getPagesCount()
  return self.pagesCount
end

function FunkyPresentationBase:getHighlightItemCallback()
  return self.highlightItemCallback
end

function FunkyPresentationBase:setHighlightItemCallback(highlightItemCallback)
  self.highlightItemCallback = highlightItemCallback
end

-- ----------------------------------------------------------------------------
-- Object Creation
-- ----------------------------------------------------------------------------

-- Constructor ------------------------

function FunkyPresentationBase.new(permutation, pagesCount)
  local self = Group.new(WIDTH, HEIGHT)
  Mixin.mix(self, FunkyPresentationBase)

  self.pagesCount = pagesCount
  self.titleText = nil
  self.highlightItemCallback = nil

  return self
end
