--- LinksBackground
-- @author Created by amorant on May 31, 2014.

class("LinksBackground")

-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

-- Z-Indices --------------------------

local Z_BACKGROUND = 10

-- Colors -----------------------------

local BACKGROUND_COLOR = ColorUtils.colorRGBToStd(47, 99, 108)

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Object Creation
-- ----------------------------------------------------------------------------

local function createElements(self)
  local width, height = self:getDims()

  local background = FilledRectangle.new(width, height, BACKGROUND_COLOR)
  self:insertAtCenter(background, Z_BACKGROUND)
end

-- Constructor ------------------------

function LinksBackground.new()
  local self = Group.newFullScreen()
  Mixin.mix(self, LinksBackground)

  createElements(self)

  return self
end
