--- ManslapGame
-- @author Created by alexeychernikov on March 31, 2014.

-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

class("ManslapColors")

ManslapColors.BACKGROUND_COLOR = {0.04, 0.01, 0.01, 1}
ManslapColors.BOSS_MODE_BACKGROUND_COLOR = {0.96, 0.96, 0.96, 1}
ManslapColors.REWIND_BACKGROUND_COLOR = {0.5, 0.5, 0.5}
ManslapColors.UI_COLOR = {1, 1, 1, 0.5}

ManslapColors.BOSS_MODE_UI_COLOR = {0, 0, 0, 0.5}

ManslapColors.INCORRECT_ANSWER_COLOR = {0.8, 0.1, 0.1}
ManslapColors.INCORRECT_ANSWER_BACKGROUND_FLASH_COLOR = {1.0, 0.27, 0.27, 1.0}
ManslapColors.CORRECT_ANSWER_CIRCLE_COLOR = {0.38, 1.0, 0.73, 1.0}
ManslapColors.CORRECT_ANSWER_TEXT_COLOR = {0, 0, 0, 0.6}

ManslapColors.FULL_BLACK = {0.0, 0.0, 0.0, 1.0}
ManslapColors.FULL_WHITE = {1.0, 1.0, 1.0, 1.0}

ManslapColors.VISIBLE_TAP_WHEN_ERROR_INSTRUCTIONS_COLOR = ManslapColors.FULL_WHITE
ManslapColors.INVISIBLE_TAP_WHEN_ERROR_INSTRUCTIONS_COLOR = {1, 1, 1, 0}

ManslapColors.WHITE = {0.96, 0.96, 0.96, 1}
ManslapColors.BLACK = {0.04, 0.01, 0.01, 1}
ManslapColors.NEUTRAL_TEXT_COLOR = {0, 0, 0, 0.6}

ManslapColors.CORRECT_ANSWER_LINE_COLOR = ManslapColors.CORRECT_ANSWER_CIRCLE_COLOR
ManslapColors.NEUTRAL_LINE_COLOR = ManslapColors.FULL_WHITE
ManslapColors.RAGE_LINE_COLOR = ManslapColors.FULL_WHITE
ManslapColors.FLATLINE_COLOR = ManslapColors.FULL_BLACK

ManslapColors.PROGRESS_BAR_COLORS_PASSIVE =
{
  neutral = {0.9, 0.9, 0.9},
  correct = ManslapColors.CORRECT_ANSWER_CIRCLE_COLOR,
  wrong = ManslapColors.INCORRECT_ANSWER_COLOR,
  background = {0.1, 0.76, 0.5}
}

ManslapColors.PROGRESS_BAR_COLORS_BOSS =
{
  neutral = {0, 0, 0},
  correct = ManslapColors.CORRECT_ANSWER_CIRCLE_COLOR,
  wrong = ManslapColors.INCORRECT_ANSWER_COLOR,
  background = {0.1, 0.76, 0.5}
}

ManslapColors.VISUALIZER_COLORS_PASSIVE = ManslapColors.WHITE
ManslapColors.VISUALIZER_COLORS_BOSS = ManslapColors.BLACK

ManslapColors.RATIONALE_CORRECT_COLOR = {0.019, 0.580, 0.365}
ManslapColors.RATIONALE_INCORRECT_COLOR = ManslapColors.INCORRECT_ANSWER_COLOR


-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Object creation
-- ----------------------------------------------------------------------------
