--- PassagesCommon
-- @author Created by Jay Austria on December 23, 2015.

class("PassagesCommon")

-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

PassagesCommon.MENU_BUTTON_STYLES_BY_QUESTION_TYPE =
{
  overview =
  {
    backgroundColor = {0.58, 0.66, 0.56},
    fillColor = {0.5, 0.6, 0.48},

    winBarTopColor = {0.59, 0.76, 0.56, 0.1},
    winBarBottomColor = {0.59, 0.76, 0.56, 0.5},
    winBarGlowColor = {0.68, 0.66, 0.24, 0.2},

    rationaleHighlightColor = {0.74, 0.99, 0.20},

    iconName = "overview_icon.png"
  },
  details =
  {
    backgroundColor = {0.45, 0.54, 0.61},
    fillColor = {0.41, 0.49, 0.56},

    winBarTopColor = {0.42, 0.51, 0.58, 0.1},
    winBarBottomColor = {0.56, 0.71, 0.76, 0.5},
    winBarGlowColor = {0.43, 0.69, 0.8, 0.5},

    rationaleHighlightColor = {0.74, 0.99, 0.20},

    iconName = "details_icon.png"
  },
  inference =
  {
    backgroundColor = {0.87, 0.74, 0.47},
    fillColor = {0.82, 0.66, 0.4},

    winBarTopColor = {0.95, 0.75, 0.4, 0.1},
    winBarBottomColor = {0.95, 0.75, 0.4, 0.5},
    winBarGlowColor = {0.85, 0.71, 0.2, 0.3},

    rationaleHighlightColor = {1.00, 1.00, 0.08},

    iconName = "inference_icon.png"
  },
  technique =
  {
    backgroundColor = {0.8, 0.55, 0.33},
    fillColor = {0.78, 0.49, 0.23},

    winBarTopColor = {0.77, 0.49, 0.16, 0.1},
    winBarBottomColor = {0.77, 0.49, 0.16, 0.5},
    winBarGlowColor = {0.99, 0.82, 0.32, 0.2},

    rationaleHighlightColor = {1.00, 1.00, 0.08},

    iconName = "technique_icon.png"
  },
  vocab =
  {
    backgroundColor = {0.72, 0.57, 0.56},
    fillColor = {0.65, 0.49, 0.49},

    winBarTopColor = {0.87, 0.65, 0.62, 0.2},
    winBarBottomColor = {0.87, 0.65, 0.62, 0.5},
    winBarGlowColor = {0.88, 0.72, 0.47, 0.5},

    rationaleHighlightColor = {0.74, 0.99, 0.20},

    iconName = "vocab_icon.png"
  }
}

PassagesCommon.ACTIVE_QUESTION_HEIGHT = Screen.getHeightPart(0.55) + Screen.safeBottom
PassagesCommon.ACTIVE_TRUE_FALSE_HEIGHT = Screen.getSafeY(0.35)
PassagesCommon.QUESTION_MENU_HEIGHT = Screen.getSafeY(0.12)
PassagesCommon.QUESTION_ICON_MENU_HEIGHT = Screen.getSafeY(0.06)


PassagesCommon.PASSAGE_MARGIN_HEIGHT = 50 + (Screen.fullHeight - Screen.safeTop)

PassagesCommon.PASSAGE_TEXT_COLOR = {0.3, 0.3, 0.3}

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Object creation
-- ----------------------------------------------------------------------------
