class("BeanStalkAnimationUtils")

-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

function BeanStalkAnimationUtils.approachTargetPoints(t, start, target, current)
  for index, point in ipairs(start) do
    local targetPoint = target[index]
    local dx, dy = targetPoint[1] - point[1], targetPoint[2] - point[2]
    dx, dy = dx * t, dy * t
    current[index][1], current[index][2] = point[1] + dx, point[2] + dy
  end
end

-- ----------------------------------------------------------------------------
-- Object creation
-- ----------------------------------------------------------------------------
