class("PunctuationColors")

-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

PunctuationColors.BUTTON_OUTLINE = ColorUtils.colorHex24ToStd(0x797779)
PunctuationColors.BUTTON_CHARACTER = ColorUtils.colorHex24ToStd(0x575557)

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

function PunctuationColors.getCorrectColor()
  return ColorUtils.colorHex24ToStd(0x2CFFFF)
end

function PunctuationColors.getWrongColor()
  return ColorUtils.colorHex24ToStd(0xFF2C2C)
end

function PunctuationColors.getNeutralIconColor()
  return {1, 1, 1, 1}
end

function PunctuationColors.getMenuBackgroundColor()
  return {0.05, 0.05, 0.05}
end
