--- RainRoundGenerator
-- @author Created by Aaron Barrett on July 06, 2015.

class("RainRoundGenerator")
require("data.generators.UtilityGenerators")
require("RainRound")


-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

local function packageConceptIntoRound(concept)
  return RainRound.new(concept)
end

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Object Creation
-- ----------------------------------------------------------------------------

-- Constructor ------------------------

function RainRoundGenerator.new()
  local conceptGenerator = GameSession.conceptGenerator
  return TransformationGenerator.new(conceptGenerator, function(concept)
    return packageConceptIntoRound(concept)
  end)
end
