--- RutabagaCommon
-- @author Created by Jay Austria on May 16, 2016.

class("RutabagaCommon")


-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------
RutabagaCommon.STANDARD_CORNER_RADIUS = 4
RutabagaCommon.COLUMNS_COUNT_SHRUNKEN = 4
RutabagaCommon.SHRUNKEN_SCALE = 0.76

RutabagaCommon.STATES = {
  UNACTIVATED = "RutabagaCommon.STATES.UNACTIVATED",
  ACTIVATED = "RutabagaCommon.STATES.ACTIVATED",
  PAUSED_INCORRECT = "RutabagaCommon.STATES.PAUSED_INCORRECT",
  PAUSED_UNACTIVATED = "RutabagaCommon.STATES.PAUSED_UNACTIVATED"
}

RutabagaCommon.ROUND_TYPE =
{
  WORD_PART = "RutabagaCommon.ROUND_TYPE.WORD_PART",
  FULL_WORD = "RutabagaCommon.ROUND_TYPE.FULL_WORD"
}

RutabagaCommon.COLUMN_WIDTH = Screen.getWidthPart(0.3)
RutabagaCommon.COLUMN_HEIGHT = Screen.getSafeY(0.7)
RutabagaCommon.COLUMN_BUTTON_HEIGHT = Screen.getHeightPart(0.15)

RutabagaCommon.COLORS = {
  ACTIVATED_COLUMN_COLORS = {
    BEGIN_COLOR = {1.0, 0.94, 0.61, 1.0},
    END_COLOR = {1.0, 0.61, 0.0, 0.0},
    BUTTON_COLOR = {0.98, 0.94, 0.81}
  },
  PAUSED_INCORRECT_COLUMN_COLORS = {
    BEGIN_COLOR = {0.99, 0.17, 0.0},
    END_COLOR = {0.36, 0.01, 0.0},
    BUTTON_COLOR = {0.99, 0.17, 0.0}
  },
  PAUSED_UNACTIVATED_COLUMN_COLORS = {
    BEGIN_COLOR = {0.56, 0.05, 0.0},
    END_COLOR = {0.36, 0.01, 0.0},
    BUTTON_COLOR = {0.54, 0.06, 0.05}
  },
  COLUMN_COLORS = {
    {
      BEGIN_COLOR = {0.96, 0.53, 0.24},
      END_COLOR = {0.53, 0.13, 0.06},
      BUTTON_COLOR = {0.93, 0.51, 0.24}
    },
    {
      BEGIN_COLOR = {0.83, 0.3, 0.14},
      END_COLOR = {0.59, 0.17, 0.11},
      BUTTON_COLOR = {0.89, 0.32, 0.15}
    },
    {
      BEGIN_COLOR = {0.63, 0.19, 0.07},
      END_COLOR = {0.51, 0.15, 0.09},
      BUTTON_COLOR = {0.73, 0.25, 0.13}
    },
    {
      BEGIN_COLOR = {0.87, 0.41, 0.15},
      END_COLOR = {0.59, 0.17, 0.11},
      BUTTON_COLOR = {0.93, 0.44, 0.16}
    }
  },
  FLASH_COLOR = {0.98, 0.94, 0.81},
}

RutabagaCommon.PILLAR_COLOR_PALETTES = {
  {1},
  {1,2},
  {1,2,3},
  {1,4,2,3}
}

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------
