--- SimonRound
-- @author Created by Aaron Barrett on March 11, 2015.

class("SimonRound")


-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

function SimonRound:getConcept()
  return self.concept
end

function SimonRound:getSteps()
  return self.steps
end

function SimonRound:getAudioFilename()
  return self.audioFilename
end

-- ----------------------------------------------------------------------------
-- Object Creation
-- ----------------------------------------------------------------------------

-- Constructor ------------------------

function SimonRound.new(concept, steps, audioFilename)
  local self = {}
  Mixin.mix(self, SimonRound)

  self.concept = concept
  self.steps = steps
  self.audioFilename = audioFilename

  return self
end
