--- SquaresMatchRecord
-- @author Created by Aaron Barrett on November 03, 2021.

class("SquaresMatchRecord")


-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

function SquaresMatchRecord:getConcept()
  return self.concept
end

function SquaresMatchRecord:getEventOrderIndex()
  return self.eventOrderIndex
end

function SquaresMatchRecord:setEventOrderIndex(eventOrderIndex)
  self.eventOrderIndex = eventOrderIndex
end

-- ----------------------------------------------------------------------------
-- Object Creation
-- ----------------------------------------------------------------------------

-- Constructor ------------------------

function SquaresMatchRecord.new(concept, eventOrderIndex)
  local self = {}
  Mixin.mix(self, SquaresMatchRecord)

  self.eventOrderIndex = eventOrderIndex
  self.concept = concept

  return self
end
