--- SquaresPowerup
-- @author Created by Aaron Barrett on January 8, 2014.

class("SquaresPowerup")
-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

SquaresPowerup.FLAVOR_SHRINKER = "shrinker"
SquaresPowerup.FLAVOR_SNOW = "snow"
SquaresPowerup.FLAVOR_BOW = "bow"
SquaresPowerup.FLAVOR_FIREWORK = "firework"

local POWERUP_FLAVORS = {
  SquaresPowerup.FLAVOR_SHRINKER,
  SquaresPowerup.FLAVOR_SNOW,
  SquaresPowerup.FLAVOR_BOW,
  SquaresPowerup.FLAVOR_FIREWORK
}

local POWERUP_FREQUENCY = 0.075

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

function SquaresPowerup.getNextPowerupFlavor()
  local shouldAwardFlavor = (math.random() < POWERUP_FREQUENCY)
  if (shouldAwardFlavor) then
    local randomFlavor = POWERUP_FLAVORS[math.random(#POWERUP_FLAVORS)]
    return randomFlavor
  end

  return nil
end

-- ----------------------------------------------------------------------------
-- Object Creation
-- ----------------------------------------------------------------------------
