--- SummationCommon
-- @author Created by Jay Austria on August 1, 2014.

class("SummationCommon")

-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

local numberLineY = 0.43

SummationCommon.CURSOR_WIDTH = 20
SummationCommon.NUMBER_LINE_MINIMUM = 0
SummationCommon.NUMBER_LINE_MAXIMUM = 40
SummationCommon.NUMBER_LINE_LOCATION_X = Screen.getSafeX(0.2)
SummationCommon.NUMBER_LINE_LOCATION_Y = Screen.getSafeY(numberLineY)
SummationCommon.NUMBER_LINE_WIDTH = 50
SummationCommon.NUMBER_LINE_HEIGHT = Screen.getSafeHeightPart(0.85)
SummationCommon.INVISIBLE_OPACITY = 0.0
SummationCommon.VISIBLE_OPACITY = 1.0
SummationCommon.UI_COMPONENTS_COLOR = ColorUtils.colorHex24ToStd(0x949494)
SummationCommon.UI_COMPONENTS_COLOR_RESPONDING = ColorUtils.colorRGBToStd(75, 66, 81)
SummationCommon.PRICE_LABEL_COLOR = ColorUtils.colorRGBToStd(122, 106, 133)
SummationCommon.PRICE_LABEL_COLOR_RESPONDING = ColorUtils.colorRGBToStd(84, 74, 91)
SummationCommon.INCORRECT_COLOR = {1.0, 0.2, 0.53}
SummationCommon.PARTIALLY_CORRECT_COLOR = {0.0, 0.92, 0.91}
SummationCommon.FULLY_CORRECT_COLOR = {0.0, 0.92, 0.64}
SummationCommon.WHITE_COLOR = {1, 1, 1}
SummationCommon.LOSE_COLOR_DURATION = 0.1
SummationCommon.LOSE_FADE_DELAY_DURATION = 0.1
SummationCommon.LOSE_FADE_DURATION = 0.5
SummationCommon.FLIP_DELAY = 1.2
SummationCommon.FLIP_TO_DURATION = 0.01
SummationCommon.FLIP_FROM_DURATION = 0.4
SummationCommon.COLOR_MORPH_RESPONDING_DURATION = 0.2
SummationCommon.ELEMENT_FADE_OUT_DURATION = 0.5
SummationCommon.FULLY_CORRECT_RESUME_GAME_DELAY = 2.11
SummationCommon.PARTIALLY_CORRECT_RESUME_GAME_DELAY = 2.11
SummationCommon.INCORRECT_RESUME_GAME_DELAY = 2.4
SummationCommon.FULLY_CORRECT_FLAG_HIDE_DELAY = 0.95
SummationCommon.PARTIALLY_CORRECT_FLAG_HIDE_DELAY = 0.95
SummationCommon.INCORRECT_FLAG_HIDE_DELAY = 1.24

local symbol = Localizer.get("CURRENCY")
SummationCommon.PRICE_LABEL_OFFSET_MULTIPLIER = -1
if (symbol == "€") then
  -- Euro symbol should appear to the right of the price instead of the left
  SummationCommon.PRICE_LABEL_OFFSET_MULTIPLIER = 1
end


-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Object creation
-- ----------------------------------------------------------------------------
