--- SynonymsNormalAnswerMode
-- @author Created by karl on February 02, 2015.

class("SynonymsNormalAnswerMode")

require("SynonymsAnswerMode")

-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

function SynonymsNormalAnswerMode:animateIn()
  self.promptLabel:animateIn()
  Sound.playSoundEffect("adjectives_wordfliesin")
  self.isKeyboardEnabled = true
end

-- ----------------------------------------------------------------------------
-- Object Creation
-- ----------------------------------------------------------------------------

-- Constructor ------------------------

function SynonymsNormalAnswerMode.new(concept, onAnswer)
  local self = SynonymsAnswerMode.new(concept, onAnswer)
  Mixin.mix(self, SynonymsNormalAnswerMode)
  self.mode = SynonymsCommon.MODES.NORMAL

  self.inputField:setIsColorful(true)

  self.promptLabel:newColorTo(0, nil, SynonymsCommon.COLORS.BLACK):start()
  self.promptLabel:prepareToAnimateIn()

  return self
end
